Subject: bug#44027: [PATCH] installer: Create bios_grub partition when it is needed.

From: Mathieu Othacehe <[email-masked]>
Date: Sun, 18 Oct 2020 19:03:27 +0200

Hello Miguel & Brendan,

> AFAIU from the code, the first partition should not be created by the
> installer but it won't be removed if it was found on the disk
> beforehand.  Tomorrow I'll give a try at the full installation process,
> I must have overlooked something if it still being created in that
> case...

Thanks for your help on this topic! Brendan is probably using a GPT
partitionned disk on a non-UEFI compatible machine. Hence, as you
noticed, the installer does not create a bios_grub partition.

This is a problem as this partition is necessary for GRUB and I think
that your patch is fixing the problem. The "auto-partition!" procedure
is also leaving a probably pre-existing ESP partition, but I don't
really understand how it appeared in the first place.

Brendan, did you use "manual partitioning" to create an ESP partition?

Thanks,

Mathieu